package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.ribbon_tabs;

import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.GtsChildTypeEditor;
import be.iminds.ilabt.jfed.experimenter_gui.ui.ribbon.RibbonTab;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public abstract class GtsChildTypeEditorRibbonTab extends RibbonTab {
    private final static Logger LOG = LoggerFactory.getLogger(GtsChildTypeEditorRibbonTab.class);

    protected final ObjectProperty<GtsChildTypeEditor> activeGtsEditor = new SimpleObjectProperty<>();

    public GtsChildTypeEditor getActiveGtsEditor() {
        return activeGtsEditor.get();
    }

    public void setActiveGtsEditor(GtsChildTypeEditor activeGtsTopTypeEditor) {
        this.activeGtsEditor.set(activeGtsTopTypeEditor);
    }

}

